summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWolfram Schlich <wschlich@gentoo.org>2008-04-21 17:07:52 +0000
committerWolfram Schlich <wschlich@gentoo.org>2008-04-21 17:07:52 +0000
commit8194741ce04f7daee255305a6c92614c7b7f6d0d (patch)
treeeeb7f6f1d529087a3eb538c0c3858daa888117d0 /net-mail
parentFix up metadata.xml. If there's no maintainer for the package, the metadata a... (diff)
downloadgentoo-2-8194741ce04f7daee255305a6c92614c7b7f6d0d.tar.gz
gentoo-2-8194741ce04f7daee255305a6c92614c7b7f6d0d.tar.bz2
gentoo-2-8194741ce04f7daee255305a6c92614c7b7f6d0d.zip
fix init script dependencies and indention (bug #217941, comment #3)
(Portage version: 2.1.5_rc4)
Diffstat (limited to 'net-mail')
-rw-r--r--net-mail/dovecot/ChangeLog6
-rw-r--r--net-mail/dovecot/files/dovecot.init26
-rw-r--r--net-mail/dovecot/files/dovecot.init-r126
3 files changed, 31 insertions, 27 deletions
diff --git a/net-mail/dovecot/ChangeLog b/net-mail/dovecot/ChangeLog
index 742813d1b522..ce6efda23ae9 100644
--- a/net-mail/dovecot/ChangeLog
+++ b/net-mail/dovecot/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for net-mail/dovecot
# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/ChangeLog,v 1.159 2008/04/17 16:16:21 wschlich Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/ChangeLog,v 1.160 2008/04/21 17:07:52 wschlich Exp $
+
+ 21 Apr 2008; Wolfram Schlich <wschlich@gentoo.org> files/dovecot.init,
+ files/dovecot.init-r1:
+ fix init script dependencies and indention (bug #217941, comment #3)
*dovecot-1.1_rc4-r1 (17 Apr 2008)
diff --git a/net-mail/dovecot/files/dovecot.init b/net-mail/dovecot/files/dovecot.init
index 505e25b2f593..4bd5c5014e4f 100644
--- a/net-mail/dovecot/files/dovecot.init
+++ b/net-mail/dovecot/files/dovecot.init
@@ -1,33 +1,33 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/files/dovecot.init,v 1.5 2007/11/02 13:40:15 uberlord Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/files/dovecot.init,v 1.6 2008/04/21 17:07:52 wschlich Exp $
opts="reload"
depend() {
- need net
- after ldap mysql ntp-client ntpd postgresql saslauthd slapd
- use logger
+ need localmount net
+ after bootmisc ldap mysql ntp-client ntpd postgresql saslauthd slapd
+ use logger
}
start() {
- ebegin "Starting dovecot"
- start-stop-daemon --start --exec /usr/sbin/dovecot \
+ ebegin "Starting dovecot"
+ start-stop-daemon --start --exec /usr/sbin/dovecot \
--pidfile /var/run/dovecot/master.pid
- eend $?
+ eend $?
}
stop() {
- ebegin "Stopping dovecot"
- start-stop-daemon --stop --exec /usr/sbin/dovecot \
+ ebegin "Stopping dovecot"
+ start-stop-daemon --stop --exec /usr/sbin/dovecot \
--pidfile /var/run/dovecot/master.pid
- eend $?
+ eend $?
}
reload() {
- ebegin "Reloading dovecot configs and restarting auth/login processes"
- start-stop-daemon --stop --oknodo --exec /usr/sbin/dovecot \
+ ebegin "Reloading dovecot configs and restarting auth/login processes"
+ start-stop-daemon --stop --oknodo --exec /usr/sbin/dovecot \
--pidfile /var/run/dovecot/master.pid --signal HUP
- eend $?
+ eend $?
}
diff --git a/net-mail/dovecot/files/dovecot.init-r1 b/net-mail/dovecot/files/dovecot.init-r1
index ab85fe80cb79..47bc60239c18 100644
--- a/net-mail/dovecot/files/dovecot.init-r1
+++ b/net-mail/dovecot/files/dovecot.init-r1
@@ -1,14 +1,14 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/files/dovecot.init-r1,v 1.1 2008/04/17 16:16:21 wschlich Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/files/dovecot.init-r1,v 1.2 2008/04/21 17:07:52 wschlich Exp $
opts="reload"
depend() {
- need net
- after ldap mysql ntp-client ntpd postgresql saslauthd slapd
- use logger
+ need localmount net
+ after bootmisc ldap mysql ntp-client ntpd postgresql saslauthd slapd
+ use logger
}
checkconfig() {
@@ -34,23 +34,23 @@ checkconfig() {
start() {
checkconfig || return 1
- ebegin "Starting ${SVCNAME}"
- start-stop-daemon --start --exec /usr/sbin/dovecot \
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec /usr/sbin/dovecot \
--pidfile "${DOVECOT_PIDFILE}" -- -c "${DOVECOT_CONF}"
- eend $?
+ eend $?
}
stop() {
checkconfig || return 1
- ebegin "Stopping ${SVCNAME}"
- start-stop-daemon --stop --exec /usr/sbin/dovecot \
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --exec /usr/sbin/dovecot \
--pidfile "${DOVECOT_PIDFILE}"
- eend $?
+ eend $?
}
reload() {
- ebegin "Reloading ${SVCNAME} configs and restarting auth/login processes"
- start-stop-daemon --stop --oknodo --exec /usr/sbin/dovecot \
+ ebegin "Reloading ${SVCNAME} configs and restarting auth/login processes"
+ start-stop-daemon --stop --oknodo --exec /usr/sbin/dovecot \
--pidfile "${DOVECOT_PIDFILE}" --signal HUP
- eend $?
+ eend $?
}